# Class HalCashAccountPayload

#### Hierarchy

- unknown
  - HalCashAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4306
- Defined in src/protobuf/pb_pb.d.ts:4318

#####
Index

### Constructors

constructor

### Methods

getMobileNr
serializeBinary
setMobileNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new HalCashAccountPayload(): HalCashAccountPayload

- #### Returns HalCashAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getMobileNr

- getMobileNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4307

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4310

### setMobileNr

- setMobileNr(value: string): HalCashAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns HalCashAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4308

### toObject

- toObject(includeInstance?: boolean): HalCashAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns HalCashAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4311

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): HalCashAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns HalCashAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4314

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: HalCashAccountPayload, reader: BinaryReader): HalCashAccountPayload

- #### Parameters

  - ##### message: HalCashAccountPayload

  - ##### reader: BinaryReader

  #### Returns HalCashAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4315

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: HalCashAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: HalCashAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4313

### `Static` toObject

- toObject(includeInstance: boolean, msg: HalCashAccountPayload): HalCashAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: HalCashAccountPayload

  #### Returns HalCashAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4312

Generated using TypeDoc